public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/
@ 2024-12-25 15:08 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2024-12-25 15:08 UTC (permalink / raw
  To: gentoo-commits

commit:     6e09cd758c3f2ff671b7fd695fab3b225f0c7db6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 25 14:15:12 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 25 15:08:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e09cd75

dev-ruby/prism: new package, add 1.3.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/prism/Manifest           |  1 +
 dev-ruby/prism/metadata.xml       | 12 ++++++++++++
 dev-ruby/prism/prism-1.3.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-ruby/prism/Manifest b/dev-ruby/prism/Manifest
new file mode 100644
index 000000000000..71f0e7f89e07
--- /dev/null
+++ b/dev-ruby/prism/Manifest
@@ -0,0 +1 @@
+DIST prism-1.3.0.tar.gz 1503686 BLAKE2B 6fa7e474509debc4f7f1f5f6c96fbbfe8c57cb7e8f946e23ab64dabfbecb825164704862dc2b56e61927d5330882f735cf1e10c77287b115686f213164f6019a SHA512 b1aefaa84f03ac74edf9edb09d72a3ea680a6772cd4490692742d6679e690ad47382784e1523febc2f74d360c44cf5e9d387cf4872613503b656154645e880b5

diff --git a/dev-ruby/prism/metadata.xml b/dev-ruby/prism/metadata.xml
new file mode 100644
index 000000000000..eae624ca9612
--- /dev/null
+++ b/dev-ruby/prism/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>ruby@gentoo.org</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/prism</remote-id>
+    <remote-id type="rubygems">prism</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/prism/prism-1.3.0.ebuild b/dev-ruby/prism/prism-1.3.0.ebuild
new file mode 100644
index 000000000000..cadb8ee377ec
--- /dev/null
+++ b/dev-ruby/prism/prism-1.3.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTENSIONS=( ext/prism/extconf.rb )
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/prism"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md docs/*"
+RUBY_FAKEGEM_GEMSPEC="prism.gemspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Prism Ruby parser"
+HOMEPAGE="https://github.com/ruby/prism"
+SRC_URI="https://github.com/ruby/prism/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+# all_ruby_prepare() {
+# 	sed -e "s:_relative ':'./:" \
+# 		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+# }
+
+each_ruby_prepare() {
+	${RUBY} -S rake templates || die
+}
+
+# each_ruby_test() {
+# 	${RUBY} -Ilib:.:test/reline -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+# }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/
@ 2024-12-26  9:22 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2024-12-26  9:22 UTC (permalink / raw
  To: gentoo-commits

commit:     043a2c9257b679678ad2ef2fa2aa77e350b8cdcd
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 09:22:01 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 09:22:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=043a2c92

dev-ruby/prism: avoid rake-compiler

Closes: https://bugs.gentoo.org/946915
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/prism/prism-1.3.0.ebuild | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/dev-ruby/prism/prism-1.3.0.ebuild b/dev-ruby/prism/prism-1.3.0.ebuild
index cadb8ee377ec..6b7255c8b8aa 100644
--- a/dev-ruby/prism/prism-1.3.0.ebuild
+++ b/dev-ruby/prism/prism-1.3.0.ebuild
@@ -21,15 +21,12 @@ LICENSE="MIT"
 SLOT="$(ver_cut 1)"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
 
-# all_ruby_prepare() {
-# 	sed -e "s:_relative ':'./:" \
-# 		-i ${RUBY_FAKEGEM_GEMSPEC} || die
-# }
+all_ruby_prepare() {
+	# Avoid a dependency on rake-compiler
+	sed -e '/PRISM_FFI_BACKEND/ s/$/ and false/' \
+		-i Rakefile || die
+}
 
 each_ruby_prepare() {
 	${RUBY} -S rake templates || die
 }
-
-# each_ruby_test() {
-# 	${RUBY} -Ilib:.:test/reline -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
-# }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/
@ 2024-12-29  9:06 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2024-12-29  9:06 UTC (permalink / raw
  To: gentoo-commits

commit:     6f50ff4f0ac3e890a1635c14766c7ad6437f34a3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 28 07:55:28 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 09:04:48 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f50ff4f

dev-ruby/prism: enable ruby34

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/prism/prism-1.3.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/prism/prism-1.3.0.ebuild b/dev-ruby/prism/prism-1.3.0.ebuild
index 6b7255c8b8aa..01a67cbb765e 100644
--- a/dev-ruby/prism/prism-1.3.0.ebuild
+++ b/dev-ruby/prism/prism-1.3.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
 
 RUBY_FAKEGEM_BINWRAP=""
 RUBY_FAKEGEM_EXTENSIONS=( ext/prism/extconf.rb )


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/
@ 2024-12-30 21:48 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2024-12-30 21:48 UTC (permalink / raw
  To: gentoo-commits

commit:     d135cb14f4ad944e9d6fcb76f59efb37391fa68e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 30 21:47:11 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec 30 21:47:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d135cb14

dev-ruby/prism: fix build w/o rdoc

Delete rakelib/rdoc.rake as rake imports all rakelib/* unconditionally.

Closes: https://bugs.gentoo.org/947054
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/prism/prism-1.3.0.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dev-ruby/prism/prism-1.3.0.ebuild b/dev-ruby/prism/prism-1.3.0.ebuild
index 01a67cbb765e..c89f17965fb7 100644
--- a/dev-ruby/prism/prism-1.3.0.ebuild
+++ b/dev-ruby/prism/prism-1.3.0.ebuild
@@ -28,5 +28,7 @@ all_ruby_prepare() {
 }
 
 each_ruby_prepare() {
+	# rake imports all rakelib/* (bug #947054)
+	rm rakelib/rdoc.rake || die
 	${RUBY} -S rake templates || die
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/
@ 2025-02-23  3:09 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2025-02-23  3:09 UTC (permalink / raw
  To: gentoo-commits

commit:     03149a7586884ac06339b428ac14ce9a92b5d807
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 23 02:03:12 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 23 03:08:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03149a75

dev-ruby/prism: BDEPEND on bundler

It's a bit gross but the Rakefile(s) do pull it in.

Closes: https://bugs.gentoo.org/947054
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/prism/prism-1.3.0.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/prism/prism-1.3.0.ebuild b/dev-ruby/prism/prism-1.3.0.ebuild
index c89f17965fb7..33ff67921cec 100644
--- a/dev-ruby/prism/prism-1.3.0.ebuild
+++ b/dev-ruby/prism/prism-1.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -21,6 +21,8 @@ LICENSE="MIT"
 SLOT="$(ver_cut 1)"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
 
+ruby_add_bdepend "dev-ruby/bundler"
+
 all_ruby_prepare() {
 	# Avoid a dependency on rake-compiler
 	sed -e '/PRISM_FFI_BACKEND/ s/$/ and false/' \


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/
@ 2025-03-19  7:52 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2025-03-19  7:52 UTC (permalink / raw
  To: gentoo-commits

commit:     f4a5f5ad6b6a1d9b833789e762cb629f7349c61e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 19 07:37:57 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 19 07:37:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4a5f5ad

dev-ruby/prism: add 1.4.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/prism/Manifest           |  1 +
 dev-ruby/prism/prism-1.4.0.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ruby/prism/Manifest b/dev-ruby/prism/Manifest
index 71f0e7f89e07..7bd12d3f5aea 100644
--- a/dev-ruby/prism/Manifest
+++ b/dev-ruby/prism/Manifest
@@ -1 +1,2 @@
 DIST prism-1.3.0.tar.gz 1503686 BLAKE2B 6fa7e474509debc4f7f1f5f6c96fbbfe8c57cb7e8f946e23ab64dabfbecb825164704862dc2b56e61927d5330882f735cf1e10c77287b115686f213164f6019a SHA512 b1aefaa84f03ac74edf9edb09d72a3ea680a6772cd4490692742d6679e690ad47382784e1523febc2f74d360c44cf5e9d387cf4872613503b656154645e880b5
+DIST prism-1.4.0.tar.gz 1553218 BLAKE2B d936e2a44026bfb23000061e3eb9e2d6f885a93b56e776f5a78e995e3857d413718603799352d6666da98c27f8ee94cf69b6db8c4cb2cdb8e027ea12d52a973c SHA512 46288329239c7b5f42e4fed3e096c54a15403f1d5520449300250c88718b29678de2b992f9cda5cbc81c9d4499264be1fd37e9e37c95cda1294e845bca0ca256

diff --git a/dev-ruby/prism/prism-1.4.0.ebuild b/dev-ruby/prism/prism-1.4.0.ebuild
new file mode 100644
index 000000000000..33ff67921cec
--- /dev/null
+++ b/dev-ruby/prism/prism-1.4.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTENSIONS=( ext/prism/extconf.rb )
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/prism"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md docs/*"
+RUBY_FAKEGEM_GEMSPEC="prism.gemspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Prism Ruby parser"
+HOMEPAGE="https://github.com/ruby/prism"
+SRC_URI="https://github.com/ruby/prism/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+ruby_add_bdepend "dev-ruby/bundler"
+
+all_ruby_prepare() {
+	# Avoid a dependency on rake-compiler
+	sed -e '/PRISM_FFI_BACKEND/ s/$/ and false/' \
+		-i Rakefile || die
+}
+
+each_ruby_prepare() {
+	# rake imports all rakelib/* (bug #947054)
+	rm rakelib/rdoc.rake || die
+	${RUBY} -S rake templates || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2025-03-19  7:52 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-12-29  9:06 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/prism/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2025-03-19  7:52 Hans de Graaff
2025-02-23  3:09 Sam James
2024-12-30 21:48 Sam James
2024-12-26  9:22 Hans de Graaff
2024-12-25 15:08 Hans de Graaff

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox